Package uk.ac.starlink.vo

# Class ResolverInfo

java.lang.Object
uk.ac.starlink.vo.ResolverInfo

public class ResolverInfo extends Object
Information about an astronomical object obrtained from some name resolution service. The current implementation is in terms of CDS's Sesame name resolver web service.

Since:
  4 Feb 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Sesame Documentation

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SESAME_URL`
Base URL for HTTP-GET-based Sesame service.

## Method Summary

Modifier and Type
Method
Description
`double`
`getDecDegrees()`
Returns object declination in degrees.
`double`
`getRaDegrees()`
Returns object right ascension in degrees.
`static void`
`main(String[] args)`
`static ResolverInfo`
`resolve(String name)`
Attempts to resolve an object by name using a name resover service, and either returns an object containing information about it or throws an exception.
`static ResolverInfo`
`resolve(String name, String resolverUrl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SESAME_URL

public static final String SESAME_URL
Base URL for HTTP-GET-based Sesame service.

See Also:
  - Constant Field Values

## Method Details

### getRaDegrees

public double getRaDegrees()
Returns object right ascension in degrees.

Returns:
  RA

### getDecDegrees

public double getDecDegrees()
Returns object declination in degrees.

Returns:
  declination

### resolve

public static ResolverInfo resolve(String name) throws ResolverException
Attempts to resolve an object by name using a name resover service, and either returns an object containing information about it or throws an exception.

Parameters:
  `name` - object name
Returns:
  resolver info object
Throws:
  `ResolverException` - if resolution failed for some reason

### resolve

public static ResolverInfo resolve(String name, String resolverUrl) throws ResolverException

Throws:
  `ResolverException`

### main

public static void main(String[] args) throws ResolverException

Throws:
  `ResolverException`